package LATMOS::Accounts::Task::Dummy;

use strict;
use warnings;
use base qw(LATMOS::Accounts::Task);
use LATMOS::Accounts::Log;

=head1 NAME

LATMOS::Accounts::Task::Dummy - A "do nothing" task for testing purpose

=head1 DESCRIPTION

When setup in L<la-sync-manager> this task simulate an activity by waiting 2
seconds and just exit successfully. 

=cut

sub run {
    la_log LA_DEBUG, "Running dummy";
    sleep 2;
}

1;

=head1 SEE ALSO

L<LATMOS::Accounts::Task>

=head1 AUTHOR

Olivier Thauvin, E<lt>olivier.thauvin@latmos.ipsl.frE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2008, 2009, 2010, 2011, 2012 CNRS SA/CETP/LATMOS

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.10.0 or,
at your option, any later version of Perl 5 you may have available.

=cut
